sha256 stringlengths 64 64 | language stringclasses 27
values | size int32 1 491k | lines int32 1 21.8k | content stringlengths 1 200k |
|---|---|---|---|---|
a06fa2003bbe646cb8ffb8237cede43038f7709fb260fe205479330e62a273ee | Shell | 5,395 | 166 | platform='unknown'
unamestr=`uname`
if [[ "$unamestr" == 'Linux' ]]; then
platform='linux'
elif [[ "$unamestr" == 'Darwin' ]]; then
platform='darwin'
fi
# 1-100: g3.4
# 101-200: p2
AMI="ami-55c2792d" #extract
#AMI="ami-7428ff0c" #extract
#INSTANCE_TYPE="g3.4xlarge"
#INSTANCE_TYPE="p2.xlarge"
# INSTANCE_TYPE="p3... |
2b36d5407b9644b3a4a11ab1d26e9000e52dc301cc365f5b68474f53f2c5e96b | Shell | 5,434 | 161 |
######################################
# Options to pass to user data
######################################
platform='unknown'
unamestr=`uname`
if [[ "$unamestr" == 'Linux' ]]; then
platform='linux'
elif [[ "$unamestr" == 'Darwin' ]]; then
platform='darwin'
fi
if [[ "$platform" == "linux" ]];
then
OPTION... |
8fcae0c9853262e8d4b0af77542b4494367e144b6620e813dcfbd770b7cb3607 | Shell | 5,440 | 116 | #!/bin/bash
set -e
echo -e "\n START: CreateMyelinMaps_1res"
StudyFolder="$1"
Subject="$2"
AtlasSpaceFolder="$3"
NativeFolder="$4"
T1wFolder="$5"
HighResMesh="$6"
LowResMeshes="$7"
OrginalT1wImage="$8"
OrginalT2wImage="$9"
T1wImageBrain="${10}"
InitialT1wTransform="${11}"
dcT1wTransform="${12}"
InitialT2wTransform="${... |
4b9dca5fd4b0899fadbf80b59f1076396b1d42ac9312b46c05aa2143efaf51e9 | Shell | 5,479 | 167 | #!/usr/bin/env bash
P0=${OGREDIR}/lib/OGREPostFreeSurferPipeline.sh
get_batch_options() {
local arguments=("$@")
unset command_line_specified_study_folder
unset command_line_specified_subj
unset command_line_specified_run_local
erosion=2
dilation=3
unset command_line_specified_Environm... |
d510196b9caf38c249bd8f499ab779d5362acfa7c3378d605fb491db988025f8 | Shell | 5,498 | 127 | #!/bin/bash
set -e
# Requirements for this script
# installed versions of: FSL5.0.1 or higher, gradunwarp python package (from MGH)
# environment: as in SetUpHCPPipeline.sh (or individually: FSLDIR, HCPPIPEDIR_Global and PATH for gradient_unwarp.py)
################################################ SUPPORT FUNCTI... |
8ba38119b33fed9f8ae8c726afb07e61e3481bd683905782b0dc0010f613fc79 | Shell | 5,528 | 116 | #!/bin/bash
set -e
echo -e "\n START: eddy_postproc"
#Hard-Coded filename. Flag from eddy to indicate that the jac method has been used for resampling
EddyJacFlag="JacobianResampling"
workingdir=$1
GdCoeffs=$2 #Coefficients for gradient nonlinearity distortion correction. If "NONE" this corrections is turned off
Co... |
32217fed5c0daf1315220a3f594e25f1ba36af6000c86abb467e2e57337c14eb | Shell | 5,536 | 168 | platform='unknown'
unamestr=`uname`
if [[ "$unamestr" == 'Linux' ]]; then
platform='linux'
elif [[ "$unamestr" == 'Darwin' ]]; then
platform='darwin'
fi
# 1-100: g3.4
# 101-200: p2
# AMI="ami-660ae31e"
AMI="ami-d0a16fa8" #extract
AMI="ami-7428ff0c" #extract
#INSTANCE_TYPE="p2.xlarge"
#INSTANCE_TYPE="g3.4xlarge"... |
647eec2f94c82e0dabfb4113601fee9fb30c250bee0f0eaba8b472be7cb5b70a | Shell | 5,538 | 102 | #!/bin/bash
############
# Usage
############
# bash script_main_superpixels_graph_classification_MNIST_100k.sh
############
# GNNs
############
#MLP
#GCN
#GraphSage
#GatedGCN
#GAT
#MoNet
#GIN
#3WLGNN
#RingGNN
############
# MNIST - 4 RUNS
############
seed0=41
seed1=95
seed2=12
seed3=35
code=main_superpix... |
fcc8f54d085b136ec00a3dff1948686a5c4637f0d7524094a32242707d4cac59 | Shell | 5,591 | 112 | #!/bin/bash
set -e
# Requirements for this script
# installed versions of: FSL (version 5.0.6)
# environment: as in SetUpHCPPipeline.sh (or individually: FSLDIR, HCPPIPEDIR_Templates)
################################################ SUPPORT FUNCTIONS ##################################################
Usage() {
... |
96671fac64b9c6929aeebbabd90b4767af186fe7b6699a9ca62fc5bb8cb278ae | Shell | 5,624 | 102 | #!/bin/bash
# check :
# bash script.sh
# tmux attach -t script_tsp
# tmux detach
# pkill python
# bash script_main_TSP_edge_classification_100k.sh
############
# GNNs
############
#GatedGCN
#GCN
#GraphSage
#MLP
#GIN
#MoNet
#GAT
############
# TSP - 4 RUNS
############
seed0=41
seed1=42
seed2=9
seed3=23
... |
0a3a41c164208571cd6fe752e5a1b4fc39f8385d2ead77575931219839c522e7 | Shell | 5,632 | 102 | #!/bin/bash
############
# Usage
############
# bash script_main_superpixels_graph_classification_CIFAR10_100k.sh
############
# GNNs
############
#MLP
#GCN
#GraphSage
#GatedGCN
#GAT
#MoNet
#GIN
#3WLGNN
#RingGNN
############
# CIFAR10 - 4 RUNS
############
seed0=41
seed1=95
seed2=12
seed3=35
code=main_supe... |
7f2236c91810bf936d989ec6f7692705c2f3432bfcb9a3505a8d7e8663685471 | Shell | 5,634 | 191 | #!/bin/sh
# simple_test_driver.sh -- shell functions for test scripts
#
# Copyright (C) 2017-2018 Genome Research Ltd.
#
# Author: James Bonfield <jkb@sanger.ac.uk>
# Robert Davies <rmd@sanger.ac.uk>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and... |
7be0c9f76e2c301d1d0242e298a640879e5ce60bbaecb753ed07b487ebe7389a | Shell | 5,737 | 129 | #!/bin/bash
set -e
# Requirements for this script
# installed versions of: FSL (version 5.0.6), HCP-gradunwarp (HCP version 1.0.2)
# environment: as in SetUpHCPPipeline.sh (or individually: FSLDIR, HCPPIPEDIR_Global and PATH for gradient_unwarp.py)
################################################ SUPPORT FUNCTION... |
7f3fd40df42cd3fa5619dd5300dc7d7723ee9c3aa06786952fca6a6c07300ad4 | Shell | 5,762 | 152 | #!/bin/bash
# SPDX-FileCopyrightText: Copyright (c) 2019-2026, NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# SPDX-License-Identifier: Apache-2.0
########################
# cuML Version Updater #
########################
## Usage
# NOTE: This script must be run from the repository root, not from the ci/releas... |
4e6bdaeb20461011f10956937125a0fa643e233cc4f9e2adb8dd8488e1604d53 | Shell | 5,767 | 184 | #!/bin/bash
set -e
Usage() {
echo ""
echo "Usage: `basename $0` [options] <image1> ... <imageN>"
echo ""
echo "Compulsory arguments"
echo " -o <name> : output basename"
echo "Optional arguments"
echo " -s <image> : standard image (e.g. MNI152_T1_2mm)"
echo " -m <image> ... |
3fc90524841bc8095ab05d88a12fef1a7298fea7001e552e176a05cb70d9a2e4 | Shell | 5,810 | 70 | # 0. Set up
genomeFasta=/home/gangx/data/Reference/GRCh38/GRCh38.p13.genome.pri.fa
genomeIndex=/home/gangx/data/Reference/GRCh38/GRCh38.p13.genome.pri.mmi
geneAnnoGtf=/home/gangx/data/Reference/GRCh38/gencode.v40.pri.annotation.sorted.gtf
geneAnnoDB=/home/gangx/data/Reference/GRCh38/gencode.v40.pri.annotation.sorted.db... |
bab4ddc2c2e798392465ed5137665b4f3ca2d6a92dce9208463841b92bfafc17 | Shell | 5,859 | 109 | #!/bin/bash
############
# Usage
############
# bash script_main_SBMs_node_classification_PATTERN_500k.sh
############
# GNNs
############
#MLP
#GCN
#GraphSage
#GatedGCN
#GAT
#MoNet
#GIN
#3WLGNN
#RingGNN
############
# SBM_PATTERN - 4 RUNS
############
seed0=41
seed1=95
seed2=12
seed3=35
code=main_SBMs_node... |
caa65f1d10e8fff4e962530a338f954237dead8941593c3d0e39ffb46bfe6deb | Shell | 5,860 | 109 | #!/bin/bash
############
# Usage
############
# bash script_main_SBMs_node_classification_CLUSTER_500k.sh
############
# GNNs
############
#MLP
#GCN
#GraphSage
#GatedGCN
#GAT
#MoNet
#GIN
#3WLGNN
#RingGNN
############
# SBM_CLUSTER - 4 RUNS
############
seed0=41
seed1=95
seed2=12
seed3=35
code=main_SBMs_nod... |
cf0c414ca9b4774a233cdd89358a0d3fe8605edb1526e04dd85b79d2cd38a826 | Shell | 5,867 | 207 | #!/bin/bash
set -e
g_script_name=`basename ${0}`
source ${HCPPIPEDIR}/global/scripts/log.shlib # Logging related functions
log_SetToolName "${g_script_name}"
log_Debug_On
usage()
{
echo ""
echo " Generate Spin Echo Bias Field Prerequisites "
echo ""
echo " Usage: ${g_script_name} - TO BE WRITTEN"
echo ""
}
ge... |
9ba920dbf6b6d8bd39301326006cafa51948e95e260a63313af60c6701c7a480 | Shell | 5,908 | 81 | ########### merge single-cell to bulk ###########
module purge
module load BEDTools
meth_dir=/gpfs3/well/ludwig/users/cfo155/scTAPS_CAPS/human_immune_cells/t_cell_update/align
eval $(ls $meth_dir/C183_N*md.filter.meth.sta.txt.gz|tr '\n' ',' |sed 's/,$/|tail -n +2|cut -f1-4/g'|sed 's/^/cat <(zcat /g;s/,/|tail -n +2|cu... |
346b378931c44fc9cda4d88c12a50246badae8510069fe41b3ca2abc22ac9df2 | Shell | 5,910 | 165 | #!/bin/bash
get_batch_options() {
local arguments=("$@")
unset command_line_specified_study_folder
unset command_line_specified_subj
unset command_line_specified_run_local
local index=0
local numArgs=${#arguments[@]}
local argument
while [ ${index} -lt ${numArgs} ]; do
argum... |
69336ee17566cc3e661ab441bba1152235d2e73a6aaf3e94b0f2bb8d112881d7 | Shell | 6,067 | 170 | #!/bin/bash
set -e
# --------------------------------------------------------------------------------
# Load Function Libraries
# --------------------------------------------------------------------------------
source $HCPPIPEDIR_Global/log.shlib # Logging related functions
# --------------------------------------... |
703a3b463403838d462efedcf96d668c699899ba3329c1ac065d65d81bdfe5a3 | Shell | 6,156 | 146 | #!/bin/bash
resume=""
function usage
{
echo "--resume, -r for resuming action"
}
while [ "$1" != "" ]
do
case "$1" in
-r | --resume) shift
resume=1
;;
-h | --help ) usage
exit
... |
7e5e2a916c9190385bbd9cbc681ba8d3f4c454870f4482806be81ce5b99bb854 | Shell | 6,251 | 176 | #!/usr/bin/env bash
set -e
#P0=${HCPMOD}/OGREmcflirt.sh
#START240111
P0=${OGREDIR}/lib/OGREmcflirt.sh
# --------------------------------------------------------------------------------
# Load Function Libraries
# --------------------------------------------------------------------------------
source $HCPPIPEDIR_Gl... |
b022a65c5bf07a241155e51d76cee8a9ee9215e566cbdb0ba869d67881dbe4ab | Shell | 6,327 | 130 | #!/bin/bash
set -e
# Requirements for this script
# installed versions of: FSL (version 5.0.6), caret7 (a.k.a. Connectome Workbench) (version 1.0)
# environment: FSLDIR CARET7DIR
################################################ SUPPORT FUNCTIONS ##################################################
Usage() {
echo... |
7586aa5247cd98340ba3d1433046530275bcff0d4bc5437426b0223acfa27a72 | Shell | 6,489 | 185 | #!/usr/bin/env bash
set -e
echo -e "\n***** START $0 *****"
# Intensity normalisation, and bias field correction, and optional Jacobian modulation, applied to fMRI images (all inputs must be in fMRI space)
# This code is released to the public domain.
#
# Matt Glasser, Washington University in St Louis
# Mark Je... |
bcf43b0dbf287039a4fac716ba4eb598a86958f5d74b30ad33758b27504f8861 | Shell | 6,515 | 115 | platform='unknown'
unamestr=`uname`
if [[ "$unamestr" == 'Linux' ]]; then
platform='linux'
elif [[ "$unamestr" == 'Darwin' ]]; then
platform='darwin'
fi
# 1-100: g3.4
# 101-200: p2
# AMI="ami-660ae31e"
AMI="ami-0460b47c" #extract
#INSTANCE_TYPE="p2.xlarge"
INSTANCE_TYPE="g3.4xlarge"
#INSTANCE_TYPE="c3.2xlarge"
... |
b25ccdc6c893af136d2866eada0352a13437f3ea00c2f189329e649d848a9261 | Shell | 6,794 | 133 | #!/bin/bash
set -e
# Requirements for this script
# installed versions of: FSL (version 5.0.6), FreeSurfer (version 5.3.0-HCP), gradunwarp (HCP version 1.0.1)
# environment: FSLDIR , FREESURFER_HOME , HCPPIPEDIR , CARET7DIR , PATH (for gradient_unwarp.py)
########################################## PIPELINE OVERVIEW... |
608d2d3334f1f0451e0f92d7231135e54dcd535a19a307baa65a3d9946a7ba29 | Shell | 6,797 | 80 | set -e
# 1. mapping to reference genome
Mapit mapping -v GRCh38 --fq /home/gangx/data/CQX/230301/clean/N_1_val_1.fq.gz --fq2 /home/gangx/data/CQX/230301/clean/N_1_val_2.fq.gz --rna-strandness FR -n N -r 1 -o /home/gangx/data/CQX/230301/Mapit_result -t 40
Mapit mapping -v GRCh38 --fq /home/gangx/data/CQX/230301/clean/N... |
e4b796a601229e0b71e149d96648d9c533687d585eb6a5c0058078d18496e744 | Shell | 6,808 | 208 | #!/usr/bin/env bash
shebang="#!/usr/bin/env bash"
##Hard coded location of dcm2niix
#[ -z ${DCM2NIIXDIR+x} ] && DCM2NIIXDIR=/Users/Shared/pipeline
#P0="${DCM2NIIXDIR}/dcm2niix -w 0 -z i -ba n" #-w 0 skip duplicates
#START240107 User should just set their PATH environment variable.
P0="dcm2niix -w 0 -z i -ba n" #-w 0 ... |
9ccbb47f6df19d6d33a214dbb9ad7f0d8857ebec51a45ed55525d52ebd4553ba | Shell | 7,033 | 171 | #!/bin/bash
##############################################################
# BASH JOB #
# #
# #
########################################################... |
f260ab0ddde37f6c89fe19d9749d69693c5a3cf3c9eb747d8d7ae0bdfad258b0 | Shell | 7,062 | 139 | #!/bin/bash
set -e
# Requirements for this script
# installed versions of: FSL (version 5.0.6), FreeSurfer (version 5.3.0-HCP), gradunwarp (HCP version 1.0.1)
# environment: FSLDIR , FREESURFER_HOME , HCPPIPEDIR , CARET7DIR , PATH (for gradient_unwarp.py)
########################################## PIPELINE OVERVIEW... |
1adf63cc89fb42916498b323219929e5ce294d54de1927c5f015dc34d9609c0b | Shell | 7,093 | 123 | #!/bin/bash
############
# Usage
############
# bash script_main_molecules_graph_regression_ZINC_100k.sh
############
# GNNs
############
#MLP
#GCN
#GraphSage
#GatedGCN
#GAT
#MoNet
#GIN
#3WLGNN
#RingGNN
############
# ZINC - 4 RUNS
############
seed0=41
seed1=95
seed2=12
seed3=35
code=main_molecules_graph_re... |
bace7ca724323a937db20de5fa5bc3db0bb66978c70954d140e94b22d234c079 | Shell | 7,144 | 123 | #!/bin/bash
############
# Usage
############
# bash script_main_molecules_graph_regression_AQSOL_100k.sh
############
# GNNs
############
#MLP
#GCN
#GraphSage
#GatedGCN
#GAT
#MoNet
#GIN
#3WLGNN
#RingGNN
############
# AQSOL - 4 RUNS
############
seed0=41
seed1=95
seed2=12
seed3=35
code=main_molecules_graph_... |
78ae3b211d73821c02a05bc6df2e1fff85e5804fc1a3b7a47f3693fbfb703806 | Shell | 7,165 | 150 | #!/usr/bin/env bash
set -e
# Requirements for this script
# installed versions of: FSL (version 5.0.6), caret7 (a.k.a. Connectome Workbench) (version 1.0)
# environment: FSLDIR CARET7DIR
################################################ SUPPORT FUNCTIONS ##################################################
Usage() ... |
2234a706c82eb5d14c1167ce7bf4ab192565bcd391ec8e11801f41e28cc072b5 | Shell | 7,188 | 75 | #!/bin/bash
#SBATCH --account=def-lpenacas
#SBATCH --time=02:00:00
#SBATCH --mem=64G
module load python/3.10.13
source ../4_data_process/envr/bin/activate
# -------------Train organisms, all but one---------------- To train unbiased models, and then test on the left-out organism
# python ../4_data_process/integrate.p... |
7c8102a9a93b20dce8ef47b75cd34af6abdbf793220145f272cd1aebd8c0bda3 | Shell | 7,245 | 163 | #!/bin/bash
get_batch_options() {
local arguments=("$@")
unset command_line_specified_study_folder
unset command_line_specified_subj
unset command_line_specified_run_local
local index=0
local numArgs=${#arguments[@]}
local argument
while [ ${index} -lt ${numArgs} ]; do
argum... |
7ffc1bbb304617900b0e14a5afa54df4ac1025b95fc92de9f440e7edb0bb5a2f | Shell | 7,309 | 119 | #!/bin/bash
set -e
echo -e "\n START: FreeSurferHighResWhite"
SubjectID="$1"
SubjectDIR="$2"
T1wImage="$3" #T1w FreeSurfer Input (Full Resolution)
T2wImage="$4" #T2w FreeSurfer Input (Full Resolution)
export SUBJECTS_DIR="$SubjectDIR"
mridir=$SubjectDIR/$SubjectID/mri
surfdir=$SubjectDIR/$SubjectID/surf
reg=$mridir... |
818b2d5f0a7dca517a59c8479976fc54a929bf546a7abdc15846586f14ad50b1 | Shell | 7,363 | 108 | # 1.Mapping
STAR --genomeDir ref/star --readFilesCommand zcat \
--readFilesIn /home/gangx/data/CQX/240612/fastq/G/G_R2.fq.gz,/home/gangx/data/CQX/240612/fastq2/G/G_R2.fq.gz /home/gangx/data/CQX/240612/fastq/G/G_R1.fq.gz,/home/gangx/data/CQX/240612/fastq2/G/G_R1.fq.gz \
--soloCBwhitelist ./3M-february-2018.txt \
--s... |
8e566157a1c4ee1cd67c6ba6e3560b95be0e3f647a96e54830bda7ddba702ba5 | Shell | 7,482 | 285 | #!/bin/bash
# if any commands exit with non-zero value, this script exits
set -e
# Set global variables from environment variables
g_script_name=`basename ${0}`
g_hcppipedir=${HCPPIPEDIR}
if [ -z "${g_hcppipedir}" ]; then
echo "ERROR: HCPPIPEDIR must be set!"
exit 1
fi
g_fsl_dir=${FSLDIR}
if [ -z "${g_fsl_dir}" ]... |
18ba2651169b400bfc380ad85ea0354ef195c99a066277f2b3807dea217e466e | Shell | 7,544 | 153 | #!/bin/bash
set -e
# Requirements for this script
# installed versions of: FSL (version 5.0.6)
# environment: FSLDIR
################################################ SUPPORT FUNCTIONS ##################################################
Usage() {
echo "`basename $0`: Tool for non-linearly registering T1w and T2w ... |
e73fdefae8253c7c869a853deb09e94d06357f7262ea9f5e3c52f930f99c7dd5 | Shell | 7,784 | 75 | #!/bin/bash
set -e
echo -e "\n START: CreateRibbon"
StudyFolder="$1"
Subject="$2"
T1wFolder="$3"
AtlasSpaceFolder="$4"
NativeFolder="$5"
AtlasSpaceT1wImage="$6"
T1wImage="$7"
FreeSurferLabels="$8"
LeftGreyRibbonValue="3"
LeftWhiteMaskValue="2"
RightGreyRibbonValue="42"
RightWhiteMaskValue="41"
for Hemisphere in L R ... |
2f30292959a102fdefb78886fee05e0d8637084dc80f6e320ad60a73bfb13f07 | Shell | 7,787 | 154 | #!/usr/bin/env bash
set -e
P0=${OGREDIR}/lib/OGREFreeSurfer2CaretConvertAndRegisterNonlinear.sh
P1=${OGREDIR}/lib/OGRECreateMyelinMaps.sh
# Requirements for this script
# installed versions of: FSL (version 5.0.6), FreeSurfer (version 5.3.0-HCP), gradunwarp (HCP version 1.0.1)
# environment: FSLDIR , FREESURFER_HOM... |
1716a1087c5b0cda62b5a2f1245551937a76e1cf945a8318664ab8348bbcddd4 | Shell | 7,924 | 129 | #!/bin/bash
############
# Usage
############
# bash script_main_molecules_graph_regression_ZINC_500k.sh
############
# GNNs
############
#MLP
#GCN
#GraphSage
#GatedGCN
#GAT
#MoNet
#GIN
#3WLGNN
#RingGNN
############
# ZINC - 4 RUNS
############
seed0=41
seed1=95
seed2=12
seed3=35
code=main_molecules_graph_re... |
481cb5291dd4207676332d55e3e50339420f5772291d0ffa010d755e8b17c2e5 | Shell | 7,949 | 123 | #!/bin/bash
set -e
echo -e "\n START: DiffusionToStructural"
########################################## SUPPORT FUNCTIONS ##########################################
# function for parsing options
getopt1() {
sopt="$1"
shift 1
for fn in $@ ; do
if [ `echo $fn | grep -- "^${sopt}=" | wc -w` -gt 0 ] ; th... |
d580711b5a95a8552e19d1696ecbcd33da8a0656b27dca41731631575e5a3323 | Shell | 7,979 | 129 | #!/bin/bash
############
# Usage
############
# bash script_main_molecules_graph_regression_AQSOL_500k.sh
############
# GNNs
############
#MLP
#GCN
#GraphSage
#GatedGCN
#GAT
#MoNet
#GIN
#3WLGNN
#RingGNN
############
# AQSOL - 4 RUNS
############
seed0=41
seed1=95
seed2=12
seed3=35
code=main_molecules_graph_... |
3f4ccc139d45c301710cf1593490540adfda43dcbe40302558ec99fbc5cd271b | Shell | 7,980 | 212 | #!/bin/bash
get_batch_options() {
local arguments=("$@")
unset command_line_specified_study_folder
unset command_line_specified_subj_list
unset command_line_specified_group_average_name
unset command_line_specified_reg_name
unset command_line_specified_symlink_study_folder
unset command_l... |
d93787b279d7bf0cc5d8088b425e27864cc1f130a4fc00e340b0701685379a26 | Shell | 8,014 | 186 | #!/bin/bash
set -e
# Requirements for this script
# installed versions of: FSL (version 5.0.6), FreeSurfer (version 5.3.0-HCP)
# environment: FSLDIR , FREESURFER_HOME , HCPPIPEDIR , CARET7DIR
########################################## PIPELINE OVERVIEW ##########################################
#TODO
#########... |
053f28014012ffd592bbdc5236e2007f8ad371dd98468ae798b5dd68198a2827 | Shell | 8,070 | 124 | #!/bin/bash
############
# Usage
############
# bash script_main_molecules_graph_regression_ZINC-full_100k.sh
############
# GNNs
############
#MLP
#GCN
#GraphSage
#GatedGCN
#GAT
#MoNet
#GIN
#3WLGNN
#RingGNN
############
# ZINC-full - 4 RUNS
############
seed0=41
seed1=95
seed2=12
seed3=35
code=main_molecule... |
79e22dc89f3e75cb4d4b510de64f1088bfef8798e3ccd61976ee154222adea9b | Shell | 8,120 | 267 | #!/bin/bash
#
# /bk2015 - 2019
#
# TODO: handle boost dependancy
#
[[ $0 != *bash* ]] && {
echo $0 must be sourced not executed to take effect.
exit 1
}
command -v realpath >/dev/null || realpath () {
[[ $1 = /* ]] && echo "$1" || echo "$PWD/${1#./}";
}
I_AM=$(realpath ${BASH_SOURCE[0]})
MY_PLACE=${I_AM... |
6df3fc03cc6812f604619678cc3331036fbba038fa5ea632a799cf8c4bc9b24d | Shell | 8,135 | 228 | #!/bin/bash
DEFAULT_STUDY_FOLDER="${HOME}/data/7T_Testing"
DEFAULT_SUBJ_LIST="102311"
DEFAULT_RUN_LOCAL="FALSE"
DEFAULT_ENVIRONMENT_SCRIPT="${HOME}/projects/Pipelines/Examples/Scripts/SetUpHCPPipeline.sh"
SCAN_STRENGTH_CODE="7T"
DIRECTIONS="71 72"
#
# Function: get_batch_options
# Description:
# Retrieve the --Stu... |
33cfcfd087ee5b24ee9171f6e1f929ecf07daf541f1f69e9653ce27daa25732e | Shell | 8,155 | 231 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # TaskfMRIAnalysis.sh
#
# ## Copyright (C) 2015 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# # Oxford University
#
# ## Author(s)
#
# * Timothy B. Brown, Neuroinformatics Research Group, Washington University in St.... |
8ac7fae362f9ca2410a4d2881c3c1dfa39a728a8c0d745d8235ac41d19e738c7 | Shell | 8,178 | 268 | #!/bin/bash
DEFAULT_STUDY_FOLDER="${HOME}/data/7T_Testing"
DEFAULT_SUBJ_LIST="132118"
DEFAULT_RUN_LOCAL="FALSE"
DEFAULT_ENVIRONMENT_SCRIPT="${HOME}/projects/Pipelines/Examples/Scripts/SetUpHCPPipeline.sh"
#
# Function: get_batch_options
# Description:
# Retrieve the --StudyFolder=, --Subjlist=, --EnvironmentScript... |
cbf3a919caac36356500b8ee9abc49ee0f6c26851f8008ca9c39e9fbf05ce18f | Shell | 8,274 | 202 | #QC
plink --bfile 128WD_pigs --maf 0.01 --geno 0.2 --make-bed --out 128WD_pigs_maf0.01geno0.2
#算mdist
plink --bfile 128_imp_4dtv --distance square 1-ibs flat-missing --out plink_maf0.01geno0.2
#(plink --bfile 561_All_pigs_maf0.01geno0.2 --cluster --distance-matrix)
#phylip 合并idname和plink.mdist(plink.mdist前面有且只能有10个字... |
7bde0eea5b55a54846c1d76320f99277cfc5fb18ff6033d37946a11ed14ded7e | Shell | 8,300 | 274 | #!/usr/bin/env bash
#P0=OGREFreeSurferPipeline.sh
#START240111
P0=${OGREDIR}/lib/OGREFreeSurferPipeline.sh
echo "**** Running $0 ****"
set -e
get_batch_options() {
local arguments=("$@")
unset command_line_specified_study_folder
unset command_line_specified_subj
unset command_line_specified_run_loc... |
cb081e475f673d41dfbfe0cca53f667c52de98cbcd85b79c2a19d6442d089dc1 | Shell | 8,391 | 245 | #!/bin/sh
# REACHER install script
#
# Usage:
# curl -fsSL https://raw.githubusercontent.com/otis-lab-musc/reacher/main/scripts/install.sh | bash
#
# What it does:
# 1. Checks Python >= 3.10
# 2. Installs pipx if missing
# 3. Installs/upgrades REACHER via pipx
# 4. Adds user to dialout group (serial port acce... |
d576cdc72c43d7ee82100d3929195327e60ca3b187332e6441e3d76c3fb2686f | Shell | 8,585 | 161 | #!/bin/bash
############
# Usage
############
# bash script_main_CSL_graph_classification_20_seeds.sh
############
# GNNs
############
#20 seeds for
#MLP
#GCN
#GraphSage
#GatedGCN
#GAT
#MoNet
#GIN
#3WLGNN
#RingGNN
# with Positional Encoding (P.E.)
############
# CSL
############
code=main_CSL_graph_classif... |
1ea50a4b98c935a86d19982e253fd67171d8b9186e2720d9a8e0ff6459388752 | Shell | 8,653 | 248 | #PSMC
#list
PSMC=/home/aihsh/bin/psmc/psmc
SAMTOOLS=/home/wanbo/bin/samtools-1.0/samtools
REF=/home/wanbo/genome/Sscrofa11.1/susScr11.fa
PY36=/home/aihsh/miniconda3/pkgs/python-3.7.0-hc3d631a_0/bin/python3.7
BCFTOOLS=/home/aihsh/bin/bcftools/bcftools/bcftools
#input=/home/Mpzhang/7.wild_dom/2.mapping_out
tmppath=/home... |
9e9ded0888eafaf8b3f0229946273e6c0a0f26806144977c8d37b0c82af092a4 | Shell | 8,716 | 161 | #!/bin/bash
############
# Usage
############
# bash script_main_CSL_graph_classification_PE_20_seeds.sh
############
# GNNs
############
#20 seeds for
#MLP
#GCN
#GraphSage
#GatedGCN
#GAT
#MoNet
#GIN
#3WLGNN
#RingGNN
# with Positional Encoding (P.E.)
############
# CSL
############
code=main_CSL_graph_clas... |
2f5f0da973b925ca4a18b1e03d20d4dfde86f8b831b8ae94f2315cd0f101f327 | Shell | 8,769 | 70 | #!/bin/bash
TAX=224308
awk -F "\t" '{if ($2=='${TAX}') {print $4}}' ../../operons/data_odb/odb4_labels > ../../operons/data_odb/txid${TAX}/labels
awk '{if ($3=="gene") {print}}' ../../operons/data_odb/txid${TAX}/txid${TAX}.gff3 | perl -pe 's/ID.*;old_locus_tag=(\w+).*/$1/g'| perl -pe 's/ID.*;locus_tag=(\w+).*/$1/g' | ... |
167d4488519207c551c1414bb19e86fea4258bcae2b75fb0c11cfd78f188d2d2 | Shell | 8,867 | 224 | platform='unknown'
unamestr=`uname`
if [[ "$unamestr" == 'Linux' ]]; then
platform='linux'
elif [[ "$unamestr" == 'Darwin' ]]; then
platform='darwin'
fi
# 1-100: g3.4
# 101-200: p2
# AMI="ami-660ae31e"
AMI="ami-55c2792d" #extract
#AMI="ami-7428ff0c" #extract
#INSTANCE_TYPE="p2.xlarge"
#INSTANCE_TYPE="g3.4xlarge... |
8b42efd3c8b7b4b1835c216d4051a78211eb177b7edc309770588f4917a47f40 | Shell | 8,977 | 130 | #!/bin/bash
############
# Usage
############
# bash script_main_molecules_graph_regression_ZINC-full_500k.sh
############
# GNNs
############
#MLP
#GCN
#GraphSage
#GatedGCN
#GAT
#MoNet
#GIN
#3WLGNN
#RingGNN
############
# ZINC-full - 4 RUNS
############
seed0=41
seed1=95
seed2=12
seed3=35
code=main_molecule... |
86cbe9609ee1c02c89ef459690657de31cbfe3c4bd63ba8714ae9cc2fcb0173f | Shell | 9,007 | 204 | #!/usr/bin/env bash
root0=${0##*/}
helpmsg(){
echo "Identifies GM/WM/CSF from FreeSurfer results within OGRE."
echo "Based on wmparc and the values in Freesurfer7.4.1/FreeSurferColorLUT.txt."
echo " This table doesn't locate CSF within sulci, so an additional approach is used to find sulcal CSF:"
echo ... |
b97395467bd731032917d1a435fafd27c7258b71fa828c6f9a27256ed4669596 | Shell | 9,265 | 156 | #!/usr/bin/env bash
# Run this script from the project root dir.
function run_repeats {
dataset=$1
cfg_suffix=$2
# The cmd line cfg overrides that will be passed to the main.py,
# e.g. 'name_tag test01 gnn.layer_type gcnconv'
cfg_overrides=$3
cfg_file="${cfg_dir}/${dataset}-${cfg_suffix}.yaml... |
2f3db47e0a0b2da8be35770390e24a205786623c6e1d103b79d5937ce22e932f | Shell | 9,266 | 211 | #!/usr/bin/env bash
set -e
echo -e "\n***** START $0 *****"
# Requirements for this script
# installed versions of: FSL (version 5.0.6)
# environment: FSLDIR
################################################ SUPPORT FUNCTIONS ##################################################
Usage() {
echo "`basename $0`: Too... |
50b1bdd3454f90198cd89d2d7314766346997740b6e5f66af9e7402f5f82d066 | Shell | 9,288 | 180 | platform='unknown'
unamestr=`uname`
if [[ "$unamestr" == 'Linux' ]]; then
platform='linux'
elif [[ "$unamestr" == 'Darwin' ]]; then
platform='darwin'
fi
# 1-100: g3.4
# 101-200: p2
# AMI="ami-660ae31e"
AMI="ami-55c2792d" #extract
#INSTANCE_TYPE="p2.xlarge"
INSTANCE_TYPE="g3.4xlarge"
# INSTANCE_TYPE="p3.2xlarge"... |
aa2add3826e063653ad1d1b26d26a7cfc4826d107172769f5fa8f9516aeaeeba | Shell | 9,741 | 249 | platform='unknown'
unamestr=`uname`
if [[ "$unamestr" == 'Linux' ]]; then
platform='linux'
elif [[ "$unamestr" == 'Darwin' ]]; then
platform='darwin'
fi
# 1-100: g3.4
# 101-200: p2
# AMI="ami-660ae31e"
AMI="ami-7428ff0c" #extract
#INSTANCE_TYPE="p2.xlarge"
INSTANCE_TYPE="g3.4xlarge"
# INSTANCE_TYPE="p3.2xlarge"... |
0bc329c40c1902b5c08d3b0dd508c80e06b04cb46f94dd58d064e7e5c495f1ed | Shell | 9,761 | 244 | #!/usr/bin/env bash
set -e
echo "**** Running $0 ****"
get_batch_options() {
local arguments=("$@")
unset command_line_specified_fMRITimeSeriesResults
unset command_line_specified_fwhm
unset command_line_specified_paradigm_hp_sec
unset command_line_specified_TR
local index=0
local numArg... |
15c38450e4309d16430793be06ce0ae0c47055fd9b0ddbe056bae6b8e0971104 | Shell | 9,764 | 252 | platform='unknown'
unamestr=`uname`
if [[ "$unamestr" == 'Linux' ]]; then
platform='linux'
elif [[ "$unamestr" == 'Darwin' ]]; then
platform='darwin'
fi
# 1-100: g3.4
# 101-200: p2
# AMI="ami-660ae31e"
AMI="ami-d0a16fa8" #extract
#AMI="ami-7428ff0c" #extract
#INSTANCE_TYPE="p2.xlarge"
#INSTANCE_TYPE="g3.4xlarge... |
d53d0ffc31761744cbc41b995ed105ee0c3bc29613925765ef6bcd927c7bc075 | Shell | 10,057 | 211 | Sweed:CLR
## Pre pops
./SweeD -name pre1 -input ../Chr_01.pre.recode.vcf -grid 1000;
# Post pops
./SweeD -name post1 -input ../Chr_01.post.recode.vcf -grid 1000;
# To move outputs...
mv *.pre* ../../Sweed_Results
mv *.post* ../../Sweed_Results
for i in `seq 1 7` `seq 9 18` X Y MT;do
plink --vcf chr${i}.SNPs_qual2... |
f7063d274c95fd95d7fad4b72cd9a4e957080e880496da3a9e88680af0f91e10 | Shell | 10,076 | 265 | platform='unknown'
unamestr=`uname`
if [[ "$unamestr" == 'Linux' ]]; then
platform='linux'
elif [[ "$unamestr" == 'Darwin' ]]; then
platform='darwin'
fi
# 1-100: g3.4
# 101-200: p2
# AMI="ami-660ae31e"
AMI="ami-d0a16fa8" #extract
#INSTANCE_TYPE="p2.xlarge"
#INSTANCE_TYPE="g3.4xlarge"
# INSTANCE_TYPE="p3.2xlarge... |
a1b105c7470d843ddad7ef1713909e9a793bd7275070efe862ecedeccef14da9 | Shell | 10,247 | 170 | #!/usr/bin/env bash
set -e
#echo -e "\n START: FreeSurferHighResWhite"
#START200310
echo -e "\nSTART: $0"
SubjectID="$1"
SubjectDIR="$2"
T1wImage="$3" #T1w FreeSurfer Input (Full Resolution)
T2wImage="$4" #T2w FreeSurfer Input (Full Resolution)
echo " T2wImage = $T2wImage"
export SUBJECTS_DIR="$SubjectDIR"
mrid... |
dac97d0e144b4f4f7e31cea061c05c40cd6ca8d2e1fdf09e419621f4d8ae5438 | Shell | 10,629 | 138 | #!/bin/bash
############
# Usage
############
# bash script_main_CYCLES_graph_classification_CYCLES_100k.sh
############
# GNNs
############
############
# CYCLES - 4 RUNS
############
seed0=41
seed1=95
seed2=12
seed3=35
code=main_CYCLES_graph_classification.py
dataset=CYCLES
tmux new -s benchmark_CYCLES -d... |
5d5b8a0f401eb7d0137d18757e211a7c7b3cd4441cdbf705fbe463f727a7025a | Shell | 10,740 | 93 | #!/bin/bash
set -e
echo -e "\n START: RibbonVolumeToSurfaceMapping"
WorkingDirectory="$1"
VolumefMRI="$2"
Subject="$3"
DownsampleFolder="$4"
LowResMesh="$5"
AtlasSpaceNativeFolder="$6"
RegName="$7"
if [ ${RegName} = "FS" ]; then
RegName="reg.reg_LR"
fi
NeighborhoodSmoothing="5"
Factor="0.5"
LeftGreyRibbonValu... |
e0eb11d404745014dae69f1f6b1dfe7a538a2b9aa83921ce3f260a528be614b2 | Shell | 10,847 | 281 | #!/bin/bash
set -e
scriptName="basic_preproc.sh"
echo -e "\n START: ${scriptName}"
workingdir=$1
echo_spacing=$2 #in msec
PEdir=$3
b0dist=$4
b0maxbval=$5
echo "${scriptName}: Input Parameter: workingdir: ${workingdir}"
echo "${scriptName}: Input Parameter: echo_spacing: ${echo_spacing}" # *Effective* Echo Spacing, ... |
25d1c9b8dc3cfd45126d0fe2e135355ea33b7d6341bd02ea4ceb9105fb7cbfcf | Shell | 11,418 | 189 | #!/usr/bin/env bash
# Run this script from the project root dir.
function run_repeats {
dataset=$1
cfg_suffix=$2
# The cmd line cfg overrides that will be passed to the main.py,
# e.g. 'name_tag test01 gnn.layer_type gcnconv'
cfg_overrides=$3
cfg_file="${cfg_dir}/${dataset}-${cfg_suffix}.yaml... |
c8447d9d91593b6bbbac3564bd77db4c8bafa8dd2e337f2a1267ba2912136082 | Shell | 12,331 | 320 | #!/bin/bash
get_batch_options() {
local arguments=("$@")
unset command_line_specified_study_folder
unset command_line_specified_subj
unset command_line_specified_run_local
local index=0
local numArgs=${#arguments[@]}
local argument
while [ ${index} -lt ${numArgs} ]; do
argum... |
59f41538ebadc11781e9980b3351cc111a8640b3b241d48fee24935ea314172e | Shell | 12,951 | 405 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # DiffPreprocPipeline_PostEddy.sh
#
# ## Copyright Notice
#
# Copyright (C) 2012-2016 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Stamatios Sotiropoulos, FMRIB Analy... |
59a598185bbaf6ef180bfa9d31496ad064ee8ec501eca106e74780bb1b2c7738 | Shell | 13,131 | 239 | #!/bin/bash
set -e
# Requirements for this script
# installed versions of: FSL (version 5.0.6)
# environment: FSLDIR
################################################ SUPPORT FUNCTIONS ##################################################
Usage() {
echo "`basename $0`: Script to combine warps and affine transforms ... |
59ed9e192bfd2643f821cfeac9c3f54464ef7ffa76f9df9b6d0399d7f762282b | Shell | 13,462 | 337 | #!/usr/bin/env bash
T1=1
ATLAS=2
OVERWRITE=0
#START240417
#Hard coded freesurfer version options: 5.3.0-HCP 7.2.0 7.3.2 7.4.0 7.4.1
[ -z ${FREESURFVER+x} ] && FREESURFVER=7.4.1
helpmsg(){
echo "Builds reg directory within a .feat folder, from OGRE results."
echo "Defaults will work correctly if your .feat fo... |
86b8fdaa4457fbe85486bfc4a52f4bac25bc063abcf577ea04d798496ceda1a7 | Shell | 13,532 | 194 | #!/bin/bash
set -e
echo -e "\n START: FreeSurferHighResPial"
SubjectID="$1"
SubjectDIR="$2"
T1wImage="$3" #T1w FreeSurfer Input (Full Resolution)
T2wImage="$4" #T2w FreeSurfer Input (Full Resolution)
#Sigma controls smoothness of within grey matter tissue contrast field being removed
Sigma="5" #in mm
export SUBJECTS... |
a69ed516b0c777fe0f7162ea04785cffd8ac3d01a52a443876b94d4779348444 | Shell | 13,717 | 470 | #!/bin/bash
#
# # ReApplyFixPipeline.sh
#
# ## Copyright Notice
#
# Copyright (C) 2015-2017 The Human Connectome Project/Connectome Coordination Facility
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasser, Department of Anatomy and Neuro... |
2edc65537f73af27f53c2ee2025abb778f752b67c8875982f559447a580db9dc | Shell | 14,243 | 360 |
#!/bin/bash
# Code for pre-processing HRV-ER fMRI data
# on Vanderbilt cluster (ACCRE)
# "main" directory with raw data (CHANGE THIS BASED ON YOUR DATA LOCATION)
maindir_raw=/data1/neurdylab/datasets/HRV-ER/HRV-ER_raw
# "main" directory that will contain our processed data (CHANGE THIS BASED ON YOUR DATA LOCATION)
m... |
60f7c077b42aab0d3151cf8eae89013db1c2bf93321b58b51a9d0b8f2b633c19 | Shell | 14,496 | 379 | #!/bin/bash
# SPDX-FileCopyrightText: Copyright (c) 2019-2026, NVIDIA CORPORATION & AFFILIATES. All rights reserved.
# SPDX-License-Identifier: Apache-2.0
# cuml build script
# This script is used to build the component(s) in this repo from
# source, and can be called with various options to customize the
# build as... |
a8fbe002d30367f9e8bac5cf61a653d8b56df5d51c553d60c5e9f60396f2fed9 | Shell | 14,951 | 341 | platform='unknown'
unamestr=`uname`
if [[ "$unamestr" == 'Linux' ]]; then
platform='linux'
elif [[ "$unamestr" == 'Darwin' ]]; then
platform='darwin'
fi
# 1-100: g3.4
# 101-200: p2
# AMI="ami-660ae31e"
AMI="ami-d0a16fa8" #extract
#AMI="ami-7428ff0c" #extract
#INSTANCE_TYPE="g3.4xlarge"
#INSTANCE_TYPE="p2.xlarge... |
fa71ad0c2cdd4dfb8e8b59d91cb9675a75a48f40da9524b3a40feac487d51ee3 | Shell | 15,595 | 506 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # DiffPreprocPipeline_PreEddy.sh
#
# ## Copyright Notice
#
# Copyright (C) 2012-2016 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Stamatios Sotiropoulos, FMRIB Analysis Gr... |
b4110baa03bdde15da9d6281055d0d66e862d1c42e0641d97fdd23e0e0bf2a45 | Shell | 15,615 | 485 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # PostFix.sh
#
# ## Copyright Notice
#
# Copyright (C) 2015-2017 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasser, Department of Anatomy and Neurobiology, W... |
2d8fab765d8fd9cf3cfa416512586af003501801be7ff1926f3bae9b8e0d112c | Shell | 15,901 | 405 | #!/usr/bin/env bash
set -e
# https://stackoverflow.com/questions/3869072/test-for-non-zero-length-string-in-bash-n-var-or-var/49825114#49825114
# https://stackoverflow.com/questions/73885999/how-to-create-a-json-file-with-jq
# https://stackoverflow.com/questions/48470049/build-a-json-string-with-bash-variables
echo "... |
a836c2abff8722ad9cf73c4b83d1805bda0478ce896b3ae91adc2b1ea01edc77 | Shell | 16,284 | 506 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # DiffPreprocPipeline.sh
#
# ## Copyright Notice
#
# Copyright (C) 2012-2016 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Stamatios Sotiropoulos, FMRIB Analysis Group, ... |
bb0f91d5fd00555dc211b842e405c5eee4bc745782dc8623aec0ebafec72c38a | Shell | 16,313 | 362 | #!/bin/bash
set -e
# Requirements for this script
# installed versions of: FSL (version 5.0.6), HCP-gradunwarp (HCP version 1.0.2)
# environment: FSLDIR and PATH for gradient_unwarp.py
SCRIPT_NAME="T2WToT1wDistortionCorrectAndReg.sh"
# -------------------------------------------------------------------------------... |
0a74d6976b15e1c00fe52ee621d05100a2056ee823116902882ea3181b2d565c | Shell | 16,381 | 347 | #!/bin/bash
set -e
# Requirements for this script
# installed versions of: FSL (version 5.0.6), HCP-gradunwarp (version 1.0.2)
# environment: as in SetUpHCPPipeline.sh (or individually: FSLDIR, HCPPIPEDIR_Global, HCPPIPEDIR_Bin and PATH for gradient_unwarp.py)
################################################ SUPP... |
1789d0d01daa031d1c9a3c26e4857ce0e60821f1a5e16f9237fd1f7f03d4c793 | Shell | 16,381 | 556 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # run_eddy.sh
#
# ## Copyright Notice
#
# Copyright (C) 2012-2016 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Stamatios Sotiropoulos - Analysis Group, FMRIB Centre
# ... |
f93b30b85f8429b8d629361917085beef30c8bdbdaa4aa51d67243ef3315e79e | Shell | 16,405 | 520 | #!/bin/bash
#~ND~FORMAT~MARKDOWN
#~ND~START~
#
# # SingleSubjectConcat.sh
#
# ## Copyright Notice
#
# Copyright (C) 2015-2017 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasser, Department of Anatomy and Neur... |
83905cfa36884ecfc73d01f1835b2533479197b58199ac055935e8dd8a509c84 | Shell | 16,616 | 517 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # DiffPreprocPipeline_Eddy.sh
#
# ## Copyright Notice
#
# Copyright (C) 2012-2016 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Stamatios Sotiropoulos, FMRIB Analysis ... |
329d18f1b02b41968ddc29be80b7de36bb348f20686bcc4a884b332e88774fd0 | Shell | 16,625 | 315 | #!/usr/bin/env bash
set -e
echo -e "\n***** START $0 *****"
# Requirements for this script
# installed versions of: FSL (version 5.0.6)
# environment: FSLDIR
################################################ SUPPORT FUNCTIONS ##################################################
Usage() {
echo "`basename $0`: Scri... |
58475a3c2209a60b55f65323f9ca4cb5a1a81b62c018f3ea289234341f3b773b | Shell | 16,682 | 512 | #!/bin/bash
#
# # ReApplyFixPipelineMultiRun.sh
#
# ## Copyright Notice
#
# Copyright (C) 2017 The Human Connectome Project/Connectome Coordination Facility
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasser, Department of Anatomy and Ne... |
e353946a872a74e31433cf7033addc80de4c4eb1dd8fd504ced6b1a743d24433 | Shell | 17,195 | 352 | #!/bin/bash
set -e
########################################## PREPARE FUNCTIONS ##########################################
source ${HCPPIPEDIR}/global/scripts/log.shlib # Logging related functions
source ${HCPPIPEDIR}/global/scripts/fsl_version.shlib # Function for getting FSL version
show_tool_versions()
{
# Show... |
82257f233d7333d811426f50b2b8aaa1c8c31fa36971ea464d6ca2ecec0e0baf | Shell | 17,548 | 344 | platform='unknown'
unamestr=`uname`
if [[ "$unamestr" == 'Linux' ]]; then
platform='linux'
elif [[ "$unamestr" == 'Darwin' ]]; then
platform='darwin'
fi
# 1-100: g3.4
# 101-200: p2
# AMI="ami-660ae31e"
AMI="ami-d0a16fa8" #extract
#AMI="ami-7428ff0c" #extract
#INSTANCE_TYPE="p2.xlarge"
#INSTANCE_TYPE="g3.4xlarge... |
332d57c7d76a0e661377dda00f6904ff1714fa4b090e475832db5dad339ac25b | Shell | 17,772 | 487 | #!/bin/bash
#~ND~FORMAT~MARKDOWN~
#~ND~START~
#
# # PreFreeSurferPipelineBatch.sh
#
# ## Copyright Notice
#
# Copyright (C) 2013-2018 The Human Connectome Project
#
# * Washington University in St. Louis
# * University of Minnesota
# * Oxford University
#
# ## Author(s)
#
# * Matthew F. Glasser, Department of Anatomy ... |
dc84a1831326fb95c87ad3bba78f20a13fc31127e6df8d8c36daa1421f30cc4c | Shell | 18,579 | 392 | #!/bin/sh
#
# Script: Superresolution pipeline for fetal brain MRI
#
# Usage: Run with log saved: sh superresolution_pipeline.sh list_of_scans.txt > reconstruction_original_images.log
#
# Note: $PATIENT $RECON_SESSION $DELTA_T $LAMBDA_TV $PATIENT_DIR $PATIENT_MASK_DIR and $RESULTS are supposed to be defined before ca... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.